Create a pricing plan group

Requires the PRICING_PLAN_GROUP.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
Unique reference for this pricing plan group
upgrade_typeenum or nullRequired
How an upgrade between member plans of this group is handled
downgrade_typeenum or nullRequired
How a downgrade between member plans of this group is handled
cancellation_typeenum or nullRequired
How the cancellation of a member plan of this group is handled
namestring or nullOptional
Optional name for this pricing plan group
statusenum or nullOptional

The status of the pricing plan group. Customers can only upgrade/downgrade between member plans while the group is ACTIVE.

pricing_planslist of objects or nullOptional
The ordered set of pricing plans that are members of this group

Response

Created
object_typestring or nullOptionalRead-only
idstring or nullOptionalRead-only
referencestringOptionalformat: "^\S+$"0-256 characters
Unique reference for this pricing plan group
namestring or nullOptional
Optional name for this pricing plan group
statusenum or nullOptional

The status of the pricing plan group. Customers can only upgrade/downgrade between member plans while the group is ACTIVE.

upgrade_typeenum or nullOptional
How an upgrade between member plans of this group is handled
downgrade_typeenum or nullOptional
How a downgrade between member plans of this group is handled
cancellation_typeenum or nullOptional
How the cancellation of a member plan of this group is handled
pricing_planslist of objects or nullOptional
The ordered set of pricing plans that are members of this group
created_atstring or nullOptionalRead-only
updated_atstring or nullOptionalRead-only

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error